Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

Minecraft forge fatal error(i need help)


  • This topic is locked This topic is locked
4 replies to this topic

#1

Germancub000

Posted 03 January 2013 - 05:21 PM

hi there i need help with forge it says there was a fatal error starting up minecraft and FML

here is the ForgeModLoader-client-0

2013-01-03 12:17:14 [INFO] [ForgeModLoader] Forge Mod Loader version 4.7.4.520 for Minecraft 1.4.7 loading
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] All core mods are successfully located
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Discovering coremods
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Found library file argo-2.25.jar present and correct in lib dir
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Found library file guava-12.0.1.jar present and correct in lib dir
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Found library file asm-all-4.0.jar present and correct in lib dir
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Found library file bcprov-jdk15on-147.jar present and correct in lib dir
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Running coremod plugins
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Running coremod plugin FMLCorePlugin
2013-01-03 12:17:14 [SEVERE] [ForgeModLoader] FML appears to be missing any signature data. This is not a good thing
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Coremod plugin FMLCorePlugin run successfully
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Running coremod plugin FMLForgePlugin
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Coremod plugin FMLForgePlugin run successfully
2013-01-03 12:17:14 [FINEST] [ForgeModLoader] Validating minecraft
2013-01-03 12:17:14 [SEVERE] [ForgeModLoader] This version of FML is built for Minecraft 1.4.7, we have detected Minecraft 1.4.6 in your minecraft jar file
2013-01-03 12:17:14 [INFO] [STDOUT] A CRITICAL PROBLEM OCCURED INITIALIZING MINECRAFT - LIKELY YOU HAVE AN INCORRECT VERSION FOR THIS FML

Register or log in to remove.

#2

JackTDawson

Posted 03 January 2013 - 05:26 PM

Yea from what I am seeing here, your running forge version 520 which is for minecraft version 1.4.7. Go back to Forge version 489 which is the last version made for Minecraft version 1.4.6. Its what I am using on my mc server. Version 1.4.7 of minecraft is a beta testing version anyhow and is not an official update yet.

On a different direction here though, did you insert this into your JAR file ? Or are you using a Launcher. I personally use Magic Launcher. It will say in there that it has 1 error, but it still works. so far no problems. You do NOT need to add this to your minecraft jar if you use Magic Launcher. Load it as a normal file, but not in the MODS or COREMODS folder. You never load Forge in the MODS folder or COREMODS folder. I see so many folks having errors because they think it should be in one or the other.

Load it seperate. Magic Launcher has two windows its in its setup, the upper window is where you ADD the forge zip file to your list. The lower window is where you click MANAGE and add your mods you want. I have 61 mods loaded in my client. And 59 are on my server. So far no problems. If you do use magic launcher, in it you can change the size of ram from 512 to 1024. You never need to go higher. In the pictures below, you see in the top picture that there are two tabs. One is Mods and one Advanced. The advanced tab is where you change the 512 to 1024.


PICTURES TO SHOW :
Posted Image

Posted Image

#3

Germancub000

Posted 03 January 2013 - 05:31 PM

yay you fixed it thx jack(ps:i was not paying attention to the version lol)

#4

Germancub000

Posted 03 January 2013 - 05:43 PM

View PostJackTDawson, on 03 January 2013 - 05:26 PM, said:

Yea from what I am seeing here, your running forge version 520 which is for minecraft version 1.4.7. Go back to Forge version 489 which is the last version made for Minecraft version 1.4.6. Its what I am using on my mc server. Version 1.4.7 of minecraft is a beta testing version anyhow and is not an official update yet.

On a different direction here though, did you insert this into your JAR file ? Or are you using a Launcher. I personally use Magic Launcher. It will say in there that it has 1 error, but it still works. so far no problems. You do NOT need to add this to your minecraft jar if you use Magic Launcher. Load it as a normal file, but not in the MODS or COREMODS folder. You never load Forge in the MODS folder or COREMODS folder. I see so many folks having errors because they think it should be in one or the other.

Load it seperate. Magic Launcher has two windows its in its setup, the upper window is where you ADD the forge zip file to your list. The lower window is where you click MANAGE and add your mods you want. I have 61 mods loaded in my client. And 59 are on my server. So far no problems. If you do use magic launcher, in it you can change the size of ram from 512 to 1024. You never need to go higher.
yes i put forge in my .jar and i use minecraft Launcher

#5

JackTDawson

Posted 03 January 2013 - 05:45 PM

Yea use Magic Launcher ..  and never alter your JAR file again and your all good :)

Bottom line, make a fresh copy of minecraft JAR. I am sure you know how to do all that.